import React from "react";
interface IProps {
    title: string;
    onFinished(ok?: boolean): void;
}
interface IState {
    emailAddress: string;
    emailBusy: boolean;
}
export default class SetEmailDialog extends React.Component<IProps, IState> {
    private addThreepid?;
    constructor(props: IProps);
    private onEmailAddressChanged;
    private onSubmit;
    private onCancelled;
    private onEmailDialogFinished;
    private verifyEmailAddress;
    render(): React.ReactNode;
}
export {};
